openreadclose(3)

NAME
openreadclose - read a whole file into a stralloc

SYNTAX
#include <openreadclose.h> extern int openreadclose(const char *filename,
           stralloc* sa,unsigned int bufsize);

DESCRIPTION
openreadclose opens the file filename for reading and reads the whole content into the stralloc sa. The file is read in chunks of bufsize bytes size. If everything worked fine, openreadclose returns 0. A not existing file is treated as an empty file. On error, openreadclose returns -1 and sets errno appropriately.

SEE ALSO
open_read(3), readclose(3)